#ifndef RANNU_H
#define RANNU_H

#pragma warn -8012 // Borland C++ 5.5.1 for Win32

#define VERSION 1.04
#define BUFFER_SIZE 384
#define BUTTON_HEIGHT 30
#define BUTTON_WIDTH 68
#define COPYRIGHT_LEFT 57
#define COPYRIGHT_TOP 144
#define CORNER_X 0
#define CORNER_Y 0
#define COUNT_BUTTON_WIDTH 68
#define FIRST_PART_OF_FILE 128
#define HEIGHT_BEFORE_LAYOUT 100;
#define HELP_FILE_NAME "rannu.pdf"
#define IDH_TEXT_CSV 104
#define IDH_SETTING 105
#define IDH_VARIANCE 106
#define IDH_MANAGE 107
#define IDH_KILOBYTES 108
#define IDH_DIAGONAL 109
#define IDH_VERSION 110
#define IMAGE_LEFT 25
#define IMAGE_TOP 22
#define LARGE_BUTTON_WIDTH 68
#define LARGE_NUMBER 2147483647
#define LARGE_PANE_X 1022
#define LARGE_PANE_Y 738
#define MAIN_HEIGHT 342
#define MAIN_WIDTH 520
#define MAIN_X 150
#define MAIN_Y 110
#define MANAGE_BUTTON_LEFT 350
#define MANAGE_CLOSE_BUTTON_TOP 208
#define MANAGE_DIRECTORY_HEIGHT 28
#define MANAGE_DIRECTORY_LABEL_HEIGHT 18
#define MANAGE_DIRECTORY_LABEL_LEFT 410
#define MANAGE_DIRECTORY_LABEL_TOP 67
#define MANAGE_DIRECTORY_LABEL_WIDTH 60
#define MANAGE_DIRECTORY_LEFT 7
#define MANAGE_DIRECTORY_TOP 64
#define MANAGE_DIRECTORY_WIDTH 395
#define MANAGE_FROM_HEIGHT 26
#define MANAGE_FROM_LABEL_HEIGHT 18
#define MANAGE_FROM_LABEL_LEFT 9
#define MANAGE_FROM_LABEL_TOP 18
#define MANAGE_FROM_LABEL_WIDTH 31
#define MANAGE_FROM_LEFT 50
#define MANAGE_FROM_TOP 15
#define MANAGE_FROM_WIDTH 40
#define MANAGE_HELP_BUTTON_TOP 251
#define MANAGE_IDLING_HEIGHT 26
#define MANAGE_IDLING_LABEL_HEIGHT 18
#define MANAGE_IDLING_LABEL_LEFT 16
#define MANAGE_IDLING_LABEL_TOP 64
#define MANAGE_IDLING_LABEL_WIDTH 33
#define MANAGE_IDLING_LEFT 58
#define MANAGE_IDLING_TOP 61
#define MANAGE_IDLING_WIDTH 96
#define MANAGE_KB_HEIGHT 25
#define MANAGE_KB_LABEL_HEIGHT 18
#define MANAGE_KB_LABEL_LEFT 446
#define MANAGE_KB_LABEL_TOP 104
#define MANAGE_KB_LABEL_WIDTH 18
#define MANAGE_KB_LEFT 352
#define MANAGE_KB_TOP 101
#define MANAGE_KB_WIDTH 89
#define MANAGE_LINES_HEIGHT 25
#define MANAGE_LINES_LABEL_HEIGHT 18
#define MANAGE_LINES_LABEL_LEFT 113
#define MANAGE_LINES_LABEL_TOP 158
#define MANAGE_LINES_LABEL_WIDTH 30
#define MANAGE_LINES_LEFT 7
#define MANAGE_LINES_TOP 155
#define MANAGE_LINES_WIDTH 97
#define MANAGE_PRNG_HEIGHT 132
#define MANAGE_PRNG_LEFT 162
#define MANAGE_PRNG_TOP 156
#define MANAGE_PRNG_WIDTH 170
#define MANAGE_SAVE_BUTTON_TOP 165
#define MANAGE_SEED_HEIGHT 26
#define MANAGE_SEED_LABEL_HEIGHT 18
#define MANAGE_SEED_LABEL_LEFT 16
#define MANAGE_SEED_LABEL_TOP 99
#define MANAGE_SEED_LABEL_WIDTH 33
#define MANAGE_SEED_LEFT 58
#define MANAGE_SEED_TOP 96
#define MANAGE_SEED_WIDTH 96
#define MANAGE_TEXT "manage.txt"
#define MANAGE_TEXT_LINE_COUNT 9
#define MANAGE_TO_HEIGHT 26
#define MANAGE_TO_LABEL_HEIGHT 18
#define MANAGE_TO_LABEL_LEFT 100
#define MANAGE_TO_LABEL_TOP 18
#define MANAGE_TO_LABEL_WIDTH 14
#define MANAGE_TO_LEFT 123
#define MANAGE_TO_TOP 15
#define MANAGE_TO_WIDTH 40
#define MANAGE_WHERE_BUTTON_LEFT 7
#define MANAGE_WHERE_BUTTON_TOP 30
#define NON_SAMPLING_PERIOD 1000
#define RANNU_VCL_LEFT 98
#define RANNU_VCL_TOP 99
#define SMALL_PANE_HEIGHT 197
#define SMALL_PANE_WIDTH 282
#define TASK_BAR_HEIGHT 28
#define VERSION_CLOSE_LEFT 195
#define VERSION_HEIGHT 284
#define VERSION_HELP_LEFT 11
#define VERSION_HELP_TOP 191
#define VERSION_TEXT "version.txt"
#define VERSION_WIDTH 275
#define VERSION_WINDOWS_LEFT 90
#define WINDOWS_HTML_HELP "rannu.chm"
#include "Count99.h"
#include "Dividing.h"
#include "NAMES.h"
#include "Numbered.h"
#include "OS-specific.h"
#include "rannuText.h"

typedef struct MANAGE_MEMO MANAGE_MEMO;
struct MANAGE_MEMO {
    bool csv, grouping, pleaseCheck, produce_rannu_text, showWhere;
    std::string FULL_PATH_NAME, pathName, statusBarText;
    int from, interval_0, interval_1, lineCount, rannu_h, rannu_w, rannu_x, rannu_y, prng, whichCorner;
    long kilo, seed;
};

void guide(bool comments);

#endif // RANNU_H
