//----------------------------------------------------------------------------
#ifndef rannuManageH
#define rannuManageH
//----------------------------------------------------------------------------
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Classes.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Windows.hpp>
#include <vcl\System.hpp>
#include <Dialogs.hpp>
#include "rannu.h"
//----------------------------------------------------------------------------
class TOKRightDlg1 : public TForm
{
__published:
	TButton *OKBtn;
	TButton *CancelBtn;
	TBevel *Bevel1;
    TButton *Button1;
    TLabel *Label1;
    TLabel *Label2;
    TLabel *Label3;
    TGroupBox *GroupBox1;
    TButton *Button2;
    TLabel *Label4;
    TEdit *Edit4;
    TLabel *Label5;
    TEdit *Edit5;
    TLabel *Label6;
    TEdit *Edit6;
    TLabel *Label7;
    TEdit *Edit7;
    TMemo *Memo1;
    TMemo *Memo2;
    TMemo *Memo3;
    TOpenDialog *OpenDialog1;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall OKBtnClick(TObject *Sender);
    void __fastcall Label1Click(TObject *Sender);
private:
    bool csv, grouping, produce_rannu_text;
    const std::string CLOSE_BRACKET, NEW_LINE, ONE, RANNU_CSV, RANNU_TEXT, ZERO;
    int from, interval_0, interval_1, lineCount, prng;
    long kilo, seed;
    std::string error, FULL_PATH_NAME, path, pathName;
    std::string m[ MANAGE_TEXT_LINE_COUNT + 1 ];

    bool readManageText();
    bool writeManageText();
public:
	virtual __fastcall TOKRightDlg1(TComponent* AOwner);
    void setting();
};
//----------------------------------------------------------------------------
extern PACKAGE TOKRightDlg1 *OKRightDlg1;
//----------------------------------------------------------------------------
#endif    
