#ifndef COUNT99_H
#define COUNT99_H

#define ANNUY_TEXT "annuy.txt"
#define COUNT_BUFFER_SIZE 128 // COUNT_BUFFER_SIZE > COLUMN_COUNT * COUNT_NUMBER_SIZE + NEW_LINE_CHARACTER_SIZE + 1
#define COUNT_NUMBER_SIZE 3 // COUNT_NUMBER_SIZE = strlen("37") + 1
#define COLUMN_COUNT 20
#define ERROR_TEXT "error.txt"
#define FILE_NAME_SIZE 1024
#define NEW_LINE_CHARACTER_SIZE 2 // Windows (0Dh, 0Ah)
#define TO_BUFFER_SIZE 384
#include <cstdlib>
#include <cstring>
#include <fstream>
#include <iostream>
#include <sstream>
#include <string>

class Count99 {
    char buffer[COUNT_BUFFER_SIZE];
    const int COUNT_ERROR;
    const std::string CLOSE_BRACKET, EMPTY, NEW_LINE;
    std::string data, error;

    bool counting(char *file_name, int columnCount);
    bool mean(char *file_name, int columnCount);
    bool variance(double mean, char *file_name, int columnCount);
    void reduce_non_number_sequences(char *p, char *to, int number_count);

public:
    ~Count99(){}

    std::string inquiry() const {
        return error;
    }

    bool preediting(std::string & pathName, char *file_name);
    Count99();
    int countingColumns(char *file_name);
    std::string tabulating(double m, char *file_name, int columnCount, bool analysis, bool arithmetic);
};

void createErrorText(std::string & messages);
void guide(bool comments);

#endif // COUNT99_H
