#include <vcl.h>
#pragma hdrstop

#include "OS-specific.h"
#include "rannu.h"
#include "rannuVersion.h"

#pragma resource "*.dfm"
TOKHelpRightDlg *OKHelpRightDlg;

void TOKHelpRightDlg::setVersion(double d) {
    const AnsiString version("Version ");
    const AnsiString number(d);
    Label1->Caption = version + number;
}

__fastcall TOKHelpRightDlg::TOKHelpRightDlg(TComponent* AOwner)
	: TOKRightDlg(AOwner)
{
    Bevel1->Visible = false;
    CancelBtn->Height = BUTTON_HEIGHT;
    CancelBtn->Left = VERSION_CLOSE_LEFT;
    CancelBtn->Top = 0;
    CancelBtn->Width = BUTTON_WIDTH;
    Height = VERSION_HEIGHT;
    HelpBtn->Height = BUTTON_HEIGHT;
    HelpBtn->Left = VERSION_WINDOWS_LEFT; // Windows Help
    HelpBtn->Top = VERSION_HELP_TOP;
    HelpBtn->Width = BUTTON_WIDTH;
    Image1->Left = IMAGE_LEFT;
    Image1->Top = IMAGE_TOP;
    Label2->Left = RANNU_VCL_LEFT;
    Label2->Top = RANNU_VCL_TOP;
    Label3->Left = COPYRIGHT_LEFT;
    Label3->Top = COPYRIGHT_TOP;
    Label1->Align = alBottom;
    Label1->AutoSize = false;
    OKBtn->Height = BUTTON_HEIGHT;
    OKBtn->Left = VERSION_HELP_LEFT; // PDF
    OKBtn->Top = VERSION_HELP_TOP;
    OKBtn->Width = BUTTON_WIDTH;
    Position = poScreenCenter;
    Width = VERSION_WIDTH;

    setVersion(VERSION);
}

void __fastcall TOKHelpRightDlg::HelpBtnClick(TObject *Sender)
{
    executeProgram(WINDOWS_HTML_HELP, "");
//	Application->HelpContext(HelpContext);
}

void __fastcall TOKHelpRightDlg::OKBtnClick(TObject *Sender)
{
    executeProgram(HELP_FILE_NAME, ""); // PDF
}
